classification
Title: test_strftime.test_y_before_1900_nonwin() fails on AIX and Solaris
Type: Stage:
Components: Tests Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: David.Edelsohn, haypo, pitrou, python-dev, tim.golden
Priority: normal Keywords:

Created on 2013-11-17 22:33 by haypo, last changed 2013-11-24 10:18 by haypo. This issue is now closed.

Messages (12)
msg203218 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2013-11-17 22:33
The isuse #13674 added tests on strftime() for %y format with year < 1900 on Windows. It looks like AIX doesn't support them.

http://buildbot.python.org/all/builders/PPC64%20AIX%203.x/builds/1039/steps/test/logs/stdio

======================================================================
FAIL: test_y_before_1900_nonwin (test.test_strftime.Y1900Tests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/shager/cpython-buildarea/3.x.edelsohn-aix-ppc64/build/Lib/test/test_strftime.py", line 193, in test_y_before_1900_nonwin
    time.strftime("%y", (1899, 1, 1, 0, 0, 0, 0, 0, 0)), "99")
AssertionError: '0/' != '99'
- 0/
+ 99
msg203219 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-17 22:40
New changeset fd9ce1d4b820 by Victor Stinner in branch 'default':
Issue #19634: time.strftime("%y") now raises a ValueError on AIX when given a
http://hg.python.org/cpython/rev/fd9ce1d4b820
msg203220 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2013-11-17 22:40
I keep the issue open until the test succeed on AIX.
msg203242 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-18 01:44
New changeset 652de09a3a1a by Victor Stinner in branch 'default':
Issue #19634: Fix time_strftime() on AIX, format is a wchar_t* not a PyObject*
http://hg.python.org/cpython/rev/652de09a3a1a
msg203253 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2013-11-18 08:27
Ok, the test passed with the second fix.
msg203261 - (view) Author: Tim Golden (tim.golden) * (Python committer) Date: 2013-11-18 08:59
Thanks, guys; I'm afraid I only watched the stable buildbots when I committed - the AIX doesn't seem to be included.
msg204020 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2013-11-23 13:58
Oh, the test is failing with the same error on Solaris:

======================================================================
FAIL: test_y_before_1900 (test.test_strftime.Y1900Tests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/cpython/buildslave/cc-32/3.x.snakebite-solaris11-amd64/build/Lib/test/test_strftime.py", line 191, in test_y_before_1900
    self.assertEqual(time.strftime("%y", t), "99")
AssertionError: '0/' != '99'
- 0/
+ 99
msg204021 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-23 14:00
New changeset b7fd5d8e9968 by Victor Stinner in branch 'default':
Issue #19634: time.strftime("%y") now raises a ValueError on Solaris when given
http://hg.python.org/cpython/rev/b7fd5d8e9968
msg204023 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2013-11-23 14:02
I leave the issue open until I see the test passing on Solaris.
msg204046 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-11-23 16:17
This broke OpenIndiana: 



======================================================================
ERROR: test_y_before_1900 (test.test_strftime.Y1900Tests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/export/home/buildbot/64bits/3.x.cea-indiana-amd64/build/Lib/test/test_strftime.py", line 191, in test_y_before_1900
    self.assertEqual(time.strftime("%y", t), "99")
ValueError: format %y requires year >= 1900 on AIX
msg204053 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-23 16:59
New changeset e73683514b4d by Victor Stinner in branch 'default':
Isue #19634: test_y_before_1900() is expected to fail on Solaris
http://hg.python.org/cpython/rev/e73683514b4d
msg204192 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2013-11-24 10:18
test_strftime now pass again on buildbots: OpenIndiana, Solaris, AIX.
History
Date User Action Args
2013-11-24 10:18:21hayposetstatus: open -> closed
resolution: fixed
messages: + msg204192
2013-11-23 16:59:00python-devsetmessages: + msg204053
2013-11-23 16:17:36pitrousetnosy: + pitrou
messages: + msg204046
2013-11-23 14:02:42hayposetmessages: + msg204023
2013-11-23 14:00:16python-devsetmessages: + msg204021
2013-11-23 13:59:47hayposetstatus: closed -> open
resolution: fixed -> (no value)
title: test_strftime.test_y_before_1900_nonwin() fails on AIX -> test_strftime.test_y_before_1900_nonwin() fails on AIX and Solaris
2013-11-23 13:58:50hayposetmessages: + msg204020
2013-11-18 08:59:05tim.goldensetmessages: + msg203261
2013-11-18 08:27:05hayposetstatus: open -> closed
resolution: fixed
messages: + msg203253
2013-11-18 04:28:15David.Edelsohnsetnosy: + David.Edelsohn
2013-11-18 01:44:30python-devsetmessages: + msg203242
2013-11-17 22:40:41hayposetmessages: + msg203220
2013-11-17 22:40:15python-devsetnosy: + python-dev
messages: + msg203219
2013-11-17 22:33:29haypocreate